#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	DateTime
%define		pnam	Locale
%include	/usr/lib/rpm/macros.perl
Summary:	DateTime::Locale - localization support for DateTime
Summary(pl.UTF-8):	DateTime::Locale - wsparcie międzynarodowe dla DateTime
Name:		perl-DateTime-Locale
Version:	1.25
Release:	1
License:	GPL v1+ or Artistic (parts on ICU License)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5a733800022bf1fc42d5ea6561846f47
URL:		http://search.cpan.org/dist/DateTime-Locale/
BuildRequires:	perl-Dist-CheckConflicts >= 0.02
BuildRequires:	perl-File-ShareDir-Install >= 0.03
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-CPAN-Meta-Check >= 0.011
BuildRequires:	perl-CPAN-Meta-Requirements
BuildRequires:	perl-IPC-System-Simple
BuildRequires:	perl-Params-ValidationCompiler >= 0.13
BuildRequires:	perl-Scalar-List-Utils >= 1.45
BuildRequires:	perl-Specio
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-File-ShareDir
BuildRequires:	perl-Test-Pod >= 1.41
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Warnings
BuildRequires:	perl-namespace-autoclean >= 0.19
%endif
BuildConflicts:	perl-DateTime-Format-Strptime <= 1.1000
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	DateTime::Locale.*

%description
This package contains DateTime::Locale, an factory for the various
locale subclasses. It also provides some functions for getting
information on available locales.

%description -l pl.UTF-8
Pakiet ten zawiera DateTime::Locale, źródło różnych klas związanych z
umiędzynarodowieniem. Udostępnia również pewne funkcje służące do
pobierania informacji o dostępnych locale.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/Locale/*.pod

for f in $RPM_BUILD_ROOT%{perl_vendorlib}/auto/share/dist/DateTime-Locale/*.pl ; do
	basename=$(basename $f .pl)
	lang=$(echo $basename | sed -e 's/^en-\(US-POSIX\|[0-9]\+\).*//; s/-VALENCIA//; s/-[0-9][0-9][0-9]//; s/-[A-Z][a-z][a-z][a-z]//; s/^\([a-z][a-z][a-z]\?\)-\([A-Z][A-Z]\)$/\1_\2/')
	if [ -n "$lang" ]; then
		langtag="%lang($lang) "
	else
		langtag=
	fi
	echo "${langtag}%{perl_vendorlib}/auto/share/dist/DateTime-Locale/${basename}.pl"
done > %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changes LICENSE.cldr README.md
%{perl_vendorlib}/DateTime/Locale.pm
%{perl_vendorlib}/DateTime/Locale
%dir %{perl_vendorlib}/auto/share/dist/DateTime-Locale
%{_mandir}/man3/DateTime::Locale*.3pm*
%changelog
* Mon Oct 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Locale.git;a=log;h=master

* Mon Oct 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 53d3462
- up to 1.25

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> d42927b
- always include base en locales (en-US is the default); release 2

* Thu Oct 04 2018 Jakub Bogusz <qboosh@pld-linux.org> fc3e16d
- updated to 1.22

* Sun Nov 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 1ddc834
- updated to 1.11

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 10ff96f
- up to 1.10

* Wed Jul 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 18d64bd
- up to 1.05

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 9f50bad
- rel 3

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> dc9995d
- release 2

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 682d330
- updated to 0.45

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 906b162
- BR: perl-Params-Validate

* Sat Nov 13 2010 Szymon Siwek <sls@pld-linux.org> 6046abf
- added BR: perl-List-MoreUtils (--with tests)

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 40a2b2f
- updated to 0.44

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 5ccfd8a
- updated to 0.43

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> c306022
- updated to 0.42

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 895ad84
- up to 0.35

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> bbc10c4
- generic URL
- BR: perl-Module-Build

* Mon Mar 26 2007 radek <radek@pld-linux.org> fc490ef
- version 0.34

* Mon Mar 26 2007 radek <radek@pld-linux.org> d6916c4
- release 3: noautoreq DateTime::Locale*

* Mon Mar 26 2007 radek <radek@pld-linux.org> 5415fd6
- release 2: no circular dependencies...

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e755f76
- tabs in preamble

